## powerdevil 5.15.4

=== debian/changelog ===
powerdevil (4:5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:11:15 +0100

powerdevil (4:5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:10:36 +0000

powerdevil (4:5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:16:22 +0000

powerdevil (4:5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:35:07 +0000

powerdevil (4:5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:54:39 +0000

powerdevil (4:5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:26:04 +0000

powerdevil (4:5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:49:22 +0000

powerdevil (4:5.14.4-0ubuntu1) disco; urgency=medium

  * New upstream release (5.13.90)
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:16:26 +0000

=== debian/control ===
Source: powerdevil
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               kinit-dev (>= 5.54.0~),
               libkf5activities-dev (>= 5.54.0~),
               libkf5auth-dev (>= 5.54.0~),
               libkf5bluezqt-dev (>= 5.54.0~),
               libkf5config-dev (>= 5.54.0~),
               libkf5crash-dev (>= 5.54.0~),
               libkf5dbusaddons-dev (>= 5.54.0~),
               libkf5doctools-dev (>= 5.54.0~),
               libkf5globalaccel-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5idletime-dev (>= 5.54.0~),
               libkf5kdelibs4support-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5networkmanagerqt-dev (>= 5.54.0~),
               libkf5notifications-dev (>= 5.54.0~),
               libkf5notifyconfig-dev (>= 5.54.0~),
               libkf5screen-dev (>= 4:5.15.4~),
               libkf5solid-dev (>= 5.54.0~),
               libkf5wayland-dev (>= 4:5.54.0~),
               libqt5x11extras5-dev (>= 5.9.0~),
               libudev-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-dpms0-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.15.4~),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/powerdevil
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil

Package: libpowerdevilcore2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libpowerdevilcore1
Replaces: libpowerdevilcore1
Description: Global power saver settings ui library.
 Power Devil allows you to define your all power settings.
 .
 This package contains the library files.

Package: libpowerdevilui5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Global power saver settings ui library.
 Power Devil allows you to define your all power settings.
 .
 This package contains the library files.

Package: powerdevil
Architecture: any
Depends: powerdevil-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: kde-workspace-data (<< 4:4.98.0)
Replaces: kde-workspace-data (<< 4:4.98.0)
Description: Global power saver settings.
 Power Devil allows you to define your all power settings.

Package: powerdevil-data
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: Global power saver settings data files.
 Power Devil allows you to define your all power settings.

Package: powerdevil-dev
Section: devel
Architecture: any
Depends: libpowerdevilcore2 (= ${binary:Version}),
         libpowerdevilui5 (= ${binary:Version}),
         powerdevil (= ${binary:Version}),
         ${misc:Depends},
Description: Global power saver settings.
 Power Devil allows you to define your all power settings.
 .
 This package contains the development files.

## powerdevil 5.16.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(PowerDevil)
set(PROJECT_VERSION "5.16.5")
set(PROJECT_VERSION_MAJOR 5)

set(QT_MIN_VERSION "5.12.0")
set(KF5_MIN_VERSION "5.58.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Widgets DBus X11Extras)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Activities Auth IdleTime Config DBusAddons Solid I18n GlobalAccel KIO NotifyConfig Wayland DocTools Crash Notifications)
find_package(KF5Screen CONFIG REQUIRED)
find_package(LibKWorkspace CONFIG REQUIRED)

find_package(KF5BluezQt ${KF5_MIN_VERSION})
set_package_properties(KF5BluezQt
    PROPERTIES DESCRIPTION "Qt wrapper for BlueZ 5 DBus API"
    TYPE OPTIONAL
    PURPOSE "Support for wireless energy saving actions"
)
find_package(KF5NetworkManagerQt ${KF5_MIN_VERSION})
set_package_properties(KF5NetworkManagerQt
    PROPERTIES DESCRIPTION "Qt wrapper for NetworkManager API"
    TYPE OPTIONAL
    PURPOSE "Support for wireless energy saving actions"
)

set(HAVE_WIRELESS_SUPPORT FALSE)
if(KF5NetworkManagerQt_FOUND AND KF5BluezQt_FOUND)
    set(HAVE_WIRELESS_SUPPORT TRUE)
endif()
add_feature_info(
    "Wireless power saving"
    HAVE_WIRELESS_SUPPORT
    "Support turning off signal-transmitting devices to save energy"
)

find_package(LibKWorkspace ${PROJECT_VERSION} REQUIRED)

find_package(UDev REQUIRED)

find_package(XCB REQUIRED COMPONENTS XCB RANDR DPMS)

option(HAVE_DDCUTIL "DDCUtil library support" OFF)
if(HAVE_DDCUTIL)
    find_package(DDCUtil REQUIRED)
    add_compile_definitions(WITH_DDCUTIL)
    set_package_properties(DDCUtil
        PROPERTIES DESCRIPTION "DDCUtil library support"
        TYPE OPTIONAL
        PURPOSE "Set monitor settings over DDC/CI channel"
    )
else()
    add_feature_info("DDCUtil" HAVE_DDCUTIL "DDCUtil library support is disabled by default as recomended by authors, add -DHAVE_DDCUTIL=On to enable")
endif()

include_directories (
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/daemon
)

add_definitions(-DQT_NO_KEYWORDS)

add_subdirectory(daemon)
add_subdirectory(kcmodule)
add_subdirectory(doc)

install( FILES powerdevil.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR} )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

  find_package(KF5DocTools CONFIG)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif()

=== debian/changelog ===
powerdevil (4:5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:25:57 +0100

powerdevil (4:5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:46:40 +0100

powerdevil (4:5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:23:57 +0100

powerdevil (4:5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:24:54 +0100

powerdevil (4:5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:26:26 +0100

powerdevil (4:5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:37:36 +0100

powerdevil (4:5.15.90-0ubuntu2) eoan; urgency=medium

  * Move dbus policy files to new location.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 08 Jun 2019 21:51:06 +0100

powerdevil (4:5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:50:37 +0100

powerdevil (4:5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:49:31 +0100

=== debian/control ===
--- 
+++ 
@@ -5,26 +5,26 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
-               kinit-dev (>= 5.54.0~),
-               libkf5activities-dev (>= 5.54.0~),
-               libkf5auth-dev (>= 5.54.0~),
-               libkf5bluezqt-dev (>= 5.54.0~),
-               libkf5config-dev (>= 5.54.0~),
-               libkf5crash-dev (>= 5.54.0~),
-               libkf5dbusaddons-dev (>= 5.54.0~),
-               libkf5doctools-dev (>= 5.54.0~),
-               libkf5globalaccel-dev (>= 5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5idletime-dev (>= 5.54.0~),
-               libkf5kdelibs4support-dev (>= 5.54.0~),
-               libkf5kio-dev (>= 5.54.0~),
-               libkf5networkmanagerqt-dev (>= 5.54.0~),
-               libkf5notifications-dev (>= 5.54.0~),
-               libkf5notifyconfig-dev (>= 5.54.0~),
-               libkf5screen-dev (>= 4:5.15.4~),
-               libkf5solid-dev (>= 5.54.0~),
-               libkf5wayland-dev (>= 4:5.54.0~),
+               extra-cmake-modules (>= 5.58.0~),
+               kinit-dev (>= 5.58.0~),
+               libkf5activities-dev (>= 5.58.0~),
+               libkf5auth-dev (>= 5.58.0~),
+               libkf5bluezqt-dev (>= 5.58.0~),
+               libkf5config-dev (>= 5.58.0~),
+               libkf5crash-dev (>= 5.58.0~),
+               libkf5dbusaddons-dev (>= 5.58.0~),
+               libkf5doctools-dev (>= 5.58.0~),
+               libkf5globalaccel-dev (>= 5.58.0~),
+               libkf5i18n-dev (>= 5.58.0~),
+               libkf5idletime-dev (>= 5.58.0~),
+               libkf5kdelibs4support-dev (>= 5.58.0~),
+               libkf5kio-dev (>= 5.58.0~),
+               libkf5networkmanagerqt-dev (>= 5.58.0~),
+               libkf5notifications-dev (>= 5.58.0~),
+               libkf5notifyconfig-dev (>= 5.58.0~),
+               libkf5screen-dev (>= 4:5.16.5~),
+               libkf5solid-dev (>= 5.58.0~),
+               libkf5wayland-dev (>= 4:5.58.0~),
                libqt5x11extras5-dev (>= 5.9.0~),
                libudev-dev,
                libx11-dev,
@@ -40,7 +40,7 @@
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.15.4~),
+               plasma-workspace-dev (>= 4:5.16.5~),
                qtbase5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/powerdevil

## powerdevil 5.18.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.0)
 
 project(PowerDevil)
-set(PROJECT_VERSION "5.16.5")
+set(PROJECT_VERSION "5.18.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.12.0")
-set(KF5_MIN_VERSION "5.58.0")
+set(KF5_MIN_VERSION "5.66.0")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
@@ -15,6 +15,7 @@
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDEClangFormat)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Widgets DBus X11Extras)
 find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Activities Auth IdleTime Config DBusAddons Solid I18n GlobalAccel KIO NotifyConfig Wayland DocTools Crash Notifications)
@@ -60,7 +61,7 @@
         PURPOSE "Set monitor settings over DDC/CI channel"
     )
 else()
-    add_feature_info("DDCUtil" HAVE_DDCUTIL "DDCUtil library support is disabled by default as recomended by authors, add -DHAVE_DDCUTIL=On to enable")
+    add_feature_info("DDCUtil" HAVE_DDCUTIL "DDCUtil library support is disabled by default as recommended by authors, add -DHAVE_DDCUTIL=On to enable")
 endif()
 
 include_directories (
@@ -69,12 +70,16 @@
 )
 
 add_definitions(-DQT_NO_KEYWORDS)
-
+add_definitions(-DQT_NO_FOREACH)
 add_subdirectory(daemon)
 add_subdirectory(kcmodule)
 add_subdirectory(doc)
 
 install( FILES powerdevil.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR} )
+
+# add clang-format target for all our real source files
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== kcmodule/activities/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"powerdevilactivitiesconfig\")

set( kcm_powerdevil_activities_SRCS
     ${PowerDevil_SOURCE_DIR}/daemon/powerdevil_debug.cpp
     activitypage.cpp
     activitywidget.cpp
     ../common/ErrorOverlay.cpp
)

ki18n_wrap_ui(kcm_powerdevil_activities_SRCS
    activityWidget.ui)

kconfig_add_kcfg_files(kcm_powerdevil_activities_SRCS ../../PowerDevilSettings.kcfgc)

add_library(kcm_powerdevilactivitiesconfig MODULE ${kcm_powerdevil_activities_SRCS})

target_link_libraries(kcm_powerdevilactivitiesconfig
     KF5::Activities
     powerdevilconfigcommonprivate
)

install(TARGETS kcm_powerdevilactivitiesconfig  DESTINATION ${KDE_INSTALL_PLUGINDIR} )
install( FILES powerdevilactivitiesconfig.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )

=== daemon/actions/dpms/CMakeLists.txt ===
include_directories(${PowerDevil_SOURCE_DIR}/daemon
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR})

set(powerdevildpmsaction_SRCS
    ${PowerDevil_SOURCE_DIR}/daemon/powerdevil_debug.cpp
    powerdevildpmsaction.cpp
    abstractdpmshelper.cpp
    xcbdpmshelper.cpp
    waylanddpmshelper.cpp
    ${PowerDevil_SOURCE_DIR}/daemon/kwinkscreenhelpereffect.cpp
)

add_library(powerdevildpmsaction MODULE ${powerdevildpmsaction_SRCS})
target_link_libraries(powerdevildpmsaction
        Qt5::X11Extras
        XCB::XCB
        XCB::DPMS
        KF5::CoreAddons
        KF5::ConfigGui
        KF5::I18n
        KF5::WaylandClient
        Qt5::Widgets
        powerdevilcore)
install(TARGETS powerdevildpmsaction DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES powerdevildpmsaction.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

# Action config
set(dpmsconfig_SRCS powerdevildpmsactionconfig.cpp)
add_library(powerdevildpmsaction_config MODULE
                ${dpmsconfig_SRCS})
target_link_libraries(powerdevildpmsaction_config
                      KF5::CoreAddons
                      KF5::ConfigGui
                      KF5::I18n
                      Qt5::Widgets
                      powerdevilui)
install(TARGETS powerdevildpmsaction_config DESTINATION ${KDE_INSTALL_PLUGINDIR})

=== debian/changelog ===
powerdevil (4:5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:48:11 +0100

powerdevil (4:5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:09:41 +0000

powerdevil (4:5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:31:44 +0000

powerdevil (4:5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:38:33 +0000

powerdevil (4:5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:45:48 +0000

powerdevil (4:5.17.90-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:09:52 +0000

powerdevil (4:5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:46:28 +0000

powerdevil (4:5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:25:38 +0000

powerdevil (4:5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:06:24 +0000

powerdevil (4:5.17.2-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:51:38 +0000

=== debian/control ===
--- 
+++ 
@@ -5,26 +5,26 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.58.0~),
-               kinit-dev (>= 5.58.0~),
-               libkf5activities-dev (>= 5.58.0~),
-               libkf5auth-dev (>= 5.58.0~),
-               libkf5bluezqt-dev (>= 5.58.0~),
-               libkf5config-dev (>= 5.58.0~),
-               libkf5crash-dev (>= 5.58.0~),
-               libkf5dbusaddons-dev (>= 5.58.0~),
-               libkf5doctools-dev (>= 5.58.0~),
-               libkf5globalaccel-dev (>= 5.58.0~),
-               libkf5i18n-dev (>= 5.58.0~),
-               libkf5idletime-dev (>= 5.58.0~),
-               libkf5kdelibs4support-dev (>= 5.58.0~),
-               libkf5kio-dev (>= 5.58.0~),
-               libkf5networkmanagerqt-dev (>= 5.58.0~),
-               libkf5notifications-dev (>= 5.58.0~),
-               libkf5notifyconfig-dev (>= 5.58.0~),
-               libkf5screen-dev (>= 4:5.16.5~),
-               libkf5solid-dev (>= 5.58.0~),
-               libkf5wayland-dev (>= 4:5.58.0~),
+               extra-cmake-modules (>= 5.66.0~),
+               kinit-dev (>= 5.66.0~),
+               libkf5activities-dev (>= 5.66.0~),
+               libkf5auth-dev (>= 5.66.0~),
+               libkf5bluezqt-dev (>= 5.66.0~),
+               libkf5config-dev (>= 5.66.0~),
+               libkf5crash-dev (>= 5.66.0~),
+               libkf5dbusaddons-dev (>= 5.66.0~),
+               libkf5doctools-dev (>= 5.66.0~),
+               libkf5globalaccel-dev (>= 5.66.0~),
+               libkf5i18n-dev (>= 5.66.0~),
+               libkf5idletime-dev (>= 5.66.0~),
+               libkf5kdelibs4support-dev (>= 5.66.0~),
+               libkf5kio-dev (>= 5.66.0~),
+               libkf5networkmanagerqt-dev (>= 5.66.0~),
+               libkf5notifications-dev (>= 5.66.0~),
+               libkf5notifyconfig-dev (>= 5.66.0~),
+               libkf5screen-dev (>= 4:5.18.4.1~),
+               libkf5solid-dev (>= 5.66.0~),
+               libkf5wayland-dev (>= 4:5.66.0~),
                libqt5x11extras5-dev (>= 5.9.0~),
                libudev-dev,
                libx11-dev,
@@ -40,7 +40,7 @@
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.16.5~),
+               plasma-workspace-dev (>= 4:5.18.4.1~),
                qtbase5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/powerdevil

## powerdevil 5.18.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.0)
 
 project(PowerDevil)
-set(PROJECT_VERSION "5.18.4")
+set(PROJECT_VERSION "5.18.6")
 set(PROJECT_VERSION_MAJOR 5)
 
 set(QT_MIN_VERSION "5.12.0")

=== debian/changelog ===
powerdevil (4:5.18.6-0ubuntu0.1) focal; urgency=medium

  * New upstream bugfix release (5.18.6) (LP: #1938894)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Jan 2022 07:40:48 +0000

=== debian/control ===
--- 
+++ 
@@ -40,7 +40,7 @@
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.18.4.1~),
+               plasma-workspace-dev (>= 4:5.18.8~),
                qtbase5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/powerdevil

## powerdevil 5.19.5

=== debian/changelog ===
powerdevil (4:5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:55:28 +0100

powerdevil (4:5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:44:00 +0100

powerdevil (4:5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 14:02:07 +0100

powerdevil (4:5.19.2.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:47:17 +0100

powerdevil (4:5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:43:06 +0100

=== debian/control ===
--- 
+++ 
@@ -5,26 +5,26 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.66.0~),
-               kinit-dev (>= 5.66.0~),
-               libkf5activities-dev (>= 5.66.0~),
-               libkf5auth-dev (>= 5.66.0~),
-               libkf5bluezqt-dev (>= 5.66.0~),
-               libkf5config-dev (>= 5.66.0~),
-               libkf5crash-dev (>= 5.66.0~),
-               libkf5dbusaddons-dev (>= 5.66.0~),
-               libkf5doctools-dev (>= 5.66.0~),
-               libkf5globalaccel-dev (>= 5.66.0~),
-               libkf5i18n-dev (>= 5.66.0~),
-               libkf5idletime-dev (>= 5.66.0~),
-               libkf5kdelibs4support-dev (>= 5.66.0~),
-               libkf5kio-dev (>= 5.66.0~),
-               libkf5networkmanagerqt-dev (>= 5.66.0~),
-               libkf5notifications-dev (>= 5.66.0~),
-               libkf5notifyconfig-dev (>= 5.66.0~),
-               libkf5screen-dev (>= 4:5.18.4.1~),
-               libkf5solid-dev (>= 5.66.0~),
-               libkf5wayland-dev (>= 4:5.66.0~),
+               extra-cmake-modules (>= 5.70.0~),
+               kinit-dev (>= 5.70.0~),
+               libkf5activities-dev (>= 5.70.0~),
+               libkf5auth-dev (>= 5.70.0~),
+               libkf5bluezqt-dev (>= 5.70.0~),
+               libkf5config-dev (>= 5.70.0~),
+               libkf5crash-dev (>= 5.70.0~),
+               libkf5dbusaddons-dev (>= 5.70.0~),
+               libkf5doctools-dev (>= 5.70.0~),
+               libkf5globalaccel-dev (>= 5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5idletime-dev (>= 5.70.0~),
+               libkf5kdelibs4support-dev (>= 5.70.0~),
+               libkf5kio-dev (>= 5.70.0~),
+               libkf5networkmanagerqt-dev (>= 5.70.0~),
+               libkf5notifications-dev (>= 5.70.0~),
+               libkf5notifyconfig-dev (>= 5.70.0~),
+               libkf5screen-dev (>= 4:5.19.5~),
+               libkf5solid-dev (>= 5.70.0~),
+               libkf5wayland-dev (>= 4:5.70.0~),
                libqt5x11extras5-dev (>= 5.9.0~),
                libudev-dev,
                libx11-dev,
@@ -40,7 +40,7 @@
                libxrandr-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.18~),
-               plasma-workspace-dev (>= 4:5.18.8~),
+               plasma-workspace-dev (>= 4:5.19.5~),
                qtbase5-dev (>= 5.9.0~),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/kde/workspace/powerdevil

## powerdevil 5.20.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,17 @@
 cmake_minimum_required(VERSION 3.0)
 
 project(PowerDevil)
-set(PROJECT_VERSION "5.18.6")
+set(PROJECT_VERSION "5.20.5")
 set(PROJECT_VERSION_MAJOR 5)
 
-set(QT_MIN_VERSION "5.12.0")
-set(KF5_MIN_VERSION "5.66.0")
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_MIN_VERSION "5.74")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 include(ECMSetupVersion)
+include(ECMQtDeclareLoggingCategory)
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -51,10 +52,17 @@
 
 find_package(XCB REQUIRED COMPONENTS XCB RANDR DPMS)
 
+find_package(Libcap)
+set_package_properties(Libcap PROPERTIES
+    TYPE OPTIONAL
+    PURPOSE "Needed for scheduled wakeup which can wake from suspend (CAP_WAKE_ALARM)"
+)
+set(HAVE_LIBCAP ${Libcap_FOUND})
+
 option(HAVE_DDCUTIL "DDCUtil library support" OFF)
 if(HAVE_DDCUTIL)
     find_package(DDCUtil REQUIRED)
-    add_compile_definitions(WITH_DDCUTIL)
+    add_definitions(-DWITH_DDCUTIL)
     set_package_properties(DDCUtil
         PROPERTIES DESCRIPTION "DDCUtil library support"
         TYPE OPTIONAL
@@ -71,10 +79,12 @@
 
 add_definitions(-DQT_NO_KEYWORDS)
 add_definitions(-DQT_NO_FOREACH)
+
 add_subdirectory(daemon)
 add_subdirectory(kcmodule)
 add_subdirectory(doc)
 
+install( FILES powerdevil.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 install( FILES powerdevil.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR} )
 
 # add clang-format target for all our real source files

=== daemon/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"powerdevil\" -DQT_USE_QSTRINGBUILDER)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(actions)

set(POWERDEVIL_CORE_VERSION_MAJOR 2)
set(POWERDEVIL_CORE_VERSION_MINOR 0)
set(POWERDEVIL_CORE_VERSION_MICRO 0)
set(POWERDEVIL_CORE_VERSION_STRING ${POWERDEVIL_CORE_VERSION_MAJOR}.${POWERDEVIL_CORE_VERSION_MINOR}.${POWERDEVIL_CORE_VERSION_MICRO})

ecm_setup_version(${POWERDEVIL_CORE_VERSION_STRING} VARIABLE_PREFIX POWERDEVIL
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/powerdevil_version.h"
)

# Add bundled actions
set(powerdevil_bundled_actions_SRCS
    powerdevil_debug.cpp
    actions/bundled/suspendsession.cpp
    actions/bundled/brightnesscontrol.cpp
    actions/bundled/keyboardbrightnesscontrol.cpp
    actions/bundled/dimdisplay.cpp
    actions/bundled/runscript.cpp
    actions/bundled/handlebuttonevents.cpp
)

if(HAVE_WIRELESS_SUPPORT)
    set(powerdevil_bundled_actions_SRCS ${powerdevil_bundled_actions_SRCS}
        actions/bundled/wirelesspowersaving.cpp
    )
endif()

# target no.1 - powerdevil core library
set(powerdevilcore_SRCS
    powerdevil_debug.cpp
    powerdevilaction.cpp
    powerdevilactionpool.cpp
    powerdevilbackendinterface.cpp
    powerdevilcore.cpp
    powerdevilpolicyagent.cpp
    powerdevilprofilegenerator.cpp
    powerdevilbrightnesslogic.cpp
    powerdevilscreenbrightnesslogic.cpp
    powerdevilkeyboardbrightnesslogic.cpp
    powerdevilpowermanagement.cpp
    brightnessosdwidget.cpp
    kwinkscreenhelpereffect.cpp
)

ecm_qt_declare_logging_category(powerdevilcore_SRCS
   HEADER powerdevil_debug.h
   IDENTIFIER POWERDEVIL
   CATEGORY_NAME org.kde.powerdevil
   DEFAULT_SEVERITY Warning)

kconfig_add_kcfg_files(powerdevilcore_SRCS ../PowerDevilSettings.kcfgc)

# Action DBus Adaptors
qt5_add_dbus_adaptor(powerdevilcore_SRCS actions/bundled/org.kde.Solid.PowerManagement.Actions.BrightnessControl.xml
                     actions/bundled/brightnesscontrol.h PowerDevil::BundledActions::BrightnessControl)
qt5_add_dbus_adaptor(powerdevilcore_SRCS actions/bundled/org.kde.Solid.PowerManagement.Actions.KeyboardBrightnessControl.xml
                     actions/bundled/keyboardbrightnesscontrol.h PowerDevil::BundledActions::KeyboardBrightnessControl)
qt5_add_dbus_adaptor(powerdevilcore_SRCS actions/bundled/org.kde.Solid.PowerManagement.Actions.HandleButtonEvents.xml
                     actions/bundled/handlebuttonevents.h PowerDevil::BundledActions::HandleButtonEvents)
qt5_add_dbus_adaptor(powerdevilcore_SRCS actions/bundled/org.kde.Solid.PowerManagement.Actions.SuspendSession.xml
                     actions/bundled/suspendsession.h PowerDevil::BundledActions::SuspendSession)
if(HAVE_WIRELESS_SUPPORT)
    qt5_add_dbus_adaptor(powerdevilcore_SRCS actions/bundled/org.kde.Solid.PowerManagement.Actions.WirelessPowerSaving.xml
                         actions/bundled/wirelesspowersaving.h PowerDevil::BundledActions::WirelessPowerSaving)
endif()

qt5_add_dbus_interface(powerdevilcore_SRCS org.freedesktop.ScreenSaver.xml screenlocker_interface)

add_library(powerdevilcore SHARED ${powerdevilcore_SRCS} ${powerdevil_bundled_actions_SRCS})
set_target_properties(powerdevilcore PROPERTIES VERSION ${POWERDEVIL_CORE_VERSION_STRING} SOVERSION ${POWERDEVIL_CORE_VERSION_MAJOR})

# not exported, so just make the deps public
target_link_libraries(powerdevilcore
    KF5::Activities
    KF5::ConfigCore
    KF5::ConfigGui
    KF5::DBusAddons
    KF5::I18n
    KF5::Solid
    KF5::IdleTime
    KF5::GlobalAccel
    KF5::Screen
    KF5::Service
    KF5::WidgetsAddons
    KF5::Notifications
    KF5::XmlGui
    PW::KWorkspace
)

if(HAVE_WIRELESS_SUPPORT)
    target_link_libraries(powerdevilcore
        KF5::NetworkManagerQt
        KF5::BluezQt
    )
endif()

if (XCB_FOUND) # kwin kscreen helper effect
    target_link_libraries(powerdevilcore Qt5::X11Extras XCB::XCB)
endif ()

# target no.2 - powerdevil kded module
set(powerdevil_SRCS
    powerdevil_debug.cpp
    powerdevilapp.cpp
    powerdevilfdoconnector.cpp
)

# DBus Adaptors
qt5_add_dbus_adaptor(powerdevil_SRCS org.kde.Solid.PowerManagement.xml powerdevilcore.h PowerDevil::Core)
qt5_add_dbus_adaptor(powerdevil_SRCS org.kde.Solid.PowerManagement.PolicyAgent.xml
                                         powerdevilpolicyagent.h PowerDevil::PolicyAgent
                                         powermanagementpolicyagentadaptor PowerManagementPolicyAgentAdaptor)

qt5_add_dbus_adaptor(powerdevil_SRCS org.freedesktop.PowerManagement.xml powerdevilfdoconnector.h PowerDevil::FdoConnector powermanagementfdoadaptor PowerManagementFdoAdaptor)
qt5_add_dbus_adaptor(powerdevil_SRCS org.freedesktop.PowerManagement.Inhibit.xml powerdevilfdoconnector.h PowerDevil::FdoConnector powermanagementinhibitadaptor PowerManagementInhibitAdaptor)

# KAuth charge threshold helper
add_executable(chargethresholdhelper chargethresholdhelper.cpp powerdevil_debug.cpp ${chargethresholdhelper_mocs})
target_link_libraries(chargethresholdhelper Qt5::Core KF5::AuthCore)
install(TARGETS chargethresholdhelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
kauth_install_helper_files(chargethresholdhelper org.kde.powerdevil.chargethresholdhelper root)
kauth_install_actions(org.kde.powerdevil.chargethresholdhelper chargethreshold_helper_actions.actions)

# Backends
add_subdirectory(backends)

add_executable(powerdevil ${powerdevil_SRCS})
set_target_properties(powerdevil PROPERTIES OUTPUT_NAME org_kde_powerdevil)
configure_file(powerdevil.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/powerdevil.desktop)

target_link_libraries(powerdevil
    KF5::Crash
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::I18n
    KF5::DBusAddons
    PW::KWorkspace
    powerdevilcore
)
if (XCB_FOUND)
    target_link_libraries(powerdevil Qt5::X11Extras)
endif ()

target_link_libraries(powerdevil ${UDEV_LIBS})

install(TARGETS powerdevil DESTINATION ${KDE_INSTALL_FULL_LIBEXECDIR})
if (HAVE_LIBCAP)
    install(
    CODE "execute_process(
            COMMAND
                ${SETCAP_EXECUTABLE}
                CAP_WAKE_ALARM=+ep
                \$ENV{DESTDIR}${KDE_INSTALL_FULL_LIBEXECDIR}/org_kde_powerdevil)"
    )
endif()

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/powerdevil.desktop
        DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})
install(TARGETS powerdevilcore ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

# target no.3 - powerdevil ui library
set(powerdevilui_SRCS
    powerdevilactionconfig.cpp
)

add_library(powerdevilui ${powerdevilui_SRCS})
set_target_properties(powerdevilui PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})

# not exported, so just make the deps public
target_link_libraries(powerdevilui
    PUBLIC
        Qt5::Widgets
        KF5::ConfigCore
)

set(HAVE_XCB ${XCB_FOUND})
configure_file(config-powerdevil.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-powerdevil.h )

install(TARGETS powerdevilui ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== daemon/backends/CMakeLists.txt ===
########################## UPower Backend #####################################
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/upower
                    ${X11_INCLUDE_DIR}
                    ${X11_Xrandr_INCLUDE_PATH})

set(powerdevilupowerbackend_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/../powerdevil_debug.cpp
    upower/upowersuspendjob.cpp
    upower/login1suspendjob.cpp
    upower/powerdevilupowerbackend.cpp
    upower/xrandrbrightness.cpp
    upower/xrandrxcbhelper.cpp
    upower/udevqtclient.cpp
    upower/udevqtdevice.cpp
    upower/ddcutilbrightness.cpp
)

set_source_files_properties(
${CMAKE_CURRENT_SOURCE_DIR}/upower/dbus/org.freedesktop.UPower.xml
${CMAKE_CURRENT_SOURCE_DIR}/upower/dbus/org.freedesktop.UPower.Device.xml
PROPERTIES NO_NAMESPACE TRUE)

qt5_add_dbus_interface(powerdevilupowerbackend_SRCS
${CMAKE_CURRENT_SOURCE_DIR}/upower/dbus/org.freedesktop.UPower.xml
upower_interface)

qt5_add_dbus_interface(powerdevilupowerbackend_SRCS
${CMAKE_CURRENT_SOURCE_DIR}/upower/dbus/org.freedesktop.UPower.Device.xml
upower_device_interface)

qt5_add_dbus_interface(powerdevilupowerbackend_SRCS
${CMAKE_CURRENT_SOURCE_DIR}/upower/dbus/org.freedesktop.UPower.KbdBacklight.xml
upower_kbdbacklight_interface)

## backlight helper executable
add_executable(backlighthelper upower/backlighthelper.cpp ${CMAKE_CURRENT_BINARY_DIR}/../powerdevil_debug.cpp ${backlighthelper_mocs})
target_link_libraries(backlighthelper Qt5::Core KF5::AuthCore KF5::I18n)
install(TARGETS backlighthelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
kauth_install_helper_files(backlighthelper org.kde.powerdevil.backlighthelper root)
kauth_install_actions(org.kde.powerdevil.backlighthelper ${CMAKE_CURRENT_SOURCE_DIR}/upower/backlight_helper_actions.actions)

## discrete gpu helper executable
add_executable(discretegpuhelper upower/discretegpuhelper.cpp ${CMAKE_CURRENT_BINARY_DIR}/../powerdevil_debug.cpp ${discretegpuhelper_mocs})
target_link_libraries(discretegpuhelper Qt5::Core KF5::AuthCore)
install(TARGETS discretegpuhelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
kauth_install_helper_files(discretegpuhelper org.kde.powerdevil.discretegpuhelper root)
kauth_install_actions(org.kde.powerdevil.discretegpuhelper ${CMAKE_CURRENT_SOURCE_DIR}/upower/discretegpu_helper_actions.actions)

add_library(powerdevilupowerbackend ${powerdevilupowerbackend_SRCS})
set_target_properties(powerdevilupowerbackend PROPERTIES PREFIX "")
target_link_libraries(powerdevilupowerbackend
    Qt5::Widgets
    KF5::AuthCore
    KF5::ConfigCore
    KF5::CoreAddons
    KF5::DBusAddons
    KF5::I18n
    ${UDEV_LIBS}
    ${X11_LIBRARIES}
    ${X11_Xrandr_LIB}
    ${XCB_XCB_LIBRARY}
    ${XCB_RANDR_LIBRARY}
    powerdevilcore
)
if(DDCUTIL_FOUND)
    target_link_libraries(powerdevilupowerbackend ${LIBDDCUTIL_LIBRARY})
endif()

install(TARGETS powerdevilupowerbackend DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf5/powerdevil)

=== daemon/actions/bundled/CMakeLists.txt ===
function(add_powerdevil_bundled_action _name)
    set(actionconfig_SRCS ${_name}config.cpp)
    add_library(powerdevil${_name}action_config MODULE
                    ${actionconfig_SRCS})
    target_link_libraries(powerdevil${_name}action_config
                        powerdevilcore
                        powerdevilui
                        Qt5::Widgets
                        KF5::CoreAddons
                        KF5::I18n
                        KF5::ConfigGui
                        KF5::XmlGui
                        ${ARGN})
    install(TARGETS powerdevil${_name}action_config DESTINATION ${KDE_INSTALL_PLUGINDIR})
    install(FILES powerdevil${_name}action.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
endfunction(add_powerdevil_bundled_action _name)

add_powerdevil_bundled_action(brightnesscontrol KF5::GlobalAccel)
add_powerdevil_bundled_action(keyboardbrightnesscontrol)
add_powerdevil_bundled_action(dimdisplay)
add_powerdevil_bundled_action(runscript KF5::KIOCore KF5::KIOWidgets)
add_powerdevil_bundled_action(suspendsession KF5::KIOCore KF5::KIOWidgets)
if(HAVE_WIRELESS_SUPPORT)
    add_powerdevil_bundled_action(wirelesspowersaving KF5::NetworkManagerQt KF5::BluezQt)
endif()

set(actionconfig_SRCS handlebuttoneventsconfig.cpp)
qt5_add_dbus_interface(actionconfig_SRCS
    ${CMAKE_SOURCE_DIR}/daemon/backends/upower/dbus/org.freedesktop.UPower.xml
    upower_interface)
add_library(powerdevilhandlebuttoneventsaction_config MODULE
                ${actionconfig_SRCS})
target_link_libraries(powerdevilhandlebuttoneventsaction_config
                    powerdevilcore
                    powerdevilui
                    Qt5::Widgets
                    KF5::CoreAddons
                    KF5::I18n
                    KF5::ConfigGui
                    KF5::XmlGui
                    )
install(TARGETS powerdevilhandlebuttoneventsaction_config DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(FILES powerdevilhandlebuttoneventsaction.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})

=== daemon/actions/dpms/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
                     ${CMAKE_CURRENT_BINARY_DIR})
 
 set(powerdevildpmsaction_SRCS
-    ${PowerDevil_SOURCE_DIR}/daemon/powerdevil_debug.cpp
+    ${CMAKE_CURRENT_BINARY_DIR}/../../powerdevil_debug.cpp
     powerdevildpmsaction.cpp
     abstractdpmshelper.cpp
     xcbdpmshelper.cpp

=== debian/changelog ===
powerdevil (4:5.20.5-2) unstable; urgency=medium

  * Team upload.
  * Bump the plasma-workspace-dev build dependency to 5.20.5.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jan 2021 10:18:46 +0100

powerdevil (4:5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:54 +0900

powerdevil (4:5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:38 +0900

powerdevil (4:5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).
  * Update build-deps with the info from cmake.
  * Update list of installed files.

  [ Alexander Volkov ]
  * Set CAP_WAKE_ALARM capability for powerdevil in postinst.

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:34 +0900

powerdevil (4:5.19.5-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:24 +0900

powerdevil (4:5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:43 +0900

powerdevil (4:5.19.5-1) experimental; urgency=medium

  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.
  * Tighten B-D on plasma-workspace-dev.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 21:13:22 +0900

powerdevil (4:5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * Remove Max from Uploaders as requested on IRC, add Scarlett.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.
  * Update build-deps with the info from cmake.
  * Bump compat level to 13.
  * Enable team builder to be able to build on salsa.
  * Add Rules-Requires-Root field to control.
  * Remove not needed injection of linker flags.
  * Enable build hardening.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set field Upstream-Contact in debian/copyright.

 -- Norbert Preining <norbert@preining.info>  Fri, 16 Oct 2020 14:59:28 +0900

powerdevil (4:5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 23:06:03 +0100

powerdevil (4:5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Update build-deps and deps with the info from cmake
  * Salsa CI automatic initialization by Tuco

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.62.0
    - remove unused kinit-dev, and libkf5kdelibs4support-dev
    - explicitly add gettext
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Remove breaks/replaces for versions older than oldstable.
  * Tighten inter-library dependencies.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Jan 2020 09:44:40 +0100

=== debian/control ===
Source: powerdevil
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.74.0~),
               gettext,
               libkf5activities-dev (>= 5.74.0~),
               libkf5auth-dev (>= 5.74.0~),
               libkf5bluezqt-dev (>= 5.74.0~),
               libkf5config-dev (>= 5.74.0~),
               libkf5crash-dev (>= 5.74.0~),
               libkf5dbusaddons-dev (>= 5.74.0~),
               libkf5doctools-dev (>= 5.74.0~),
               libkf5globalaccel-dev (>= 5.74.0~),
               libkf5i18n-dev (>= 5.74.0~),
               libkf5idletime-dev (>= 5.74.0~),
               libkf5kio-dev (>= 5.74.0~),
               libkf5networkmanagerqt-dev (>= 5.74.0~),
               libkf5notifications-dev (>= 5.74.0~),
               libkf5notifyconfig-dev (>= 5.74.0~),
               libkf5screen-dev (>= 4:5.6),
               libkf5solid-dev (>= 5.74.0~),
               libkf5wayland-dev (>= 4:5.74.0~),
               libqt5x11extras5-dev (>= 5.15.0~),
               libudev-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-dpms0-dev,
               libxcb-icccm4-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               plasma-workspace-dev (>= 4:5.20.5~),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/plasma/powerdevil
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/powerdevil
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/powerdevil.git
Rules-Requires-Root: no

Package: libpowerdevilcore2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Global power saver settings ui library.
 Power Devil allows you to define your all power settings.
 .
 This package contains the library files.

Package: libpowerdevilui5
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Global power saver settings ui library.
 Power Devil allows you to define your all power settings.
 .
 This package contains the library files.

Package: powerdevil
Architecture: any
Depends: powerdevil-data (= ${source:Version}),
         libcap2-bin [linux-any],
         ${misc:Depends},
         ${shlibs:Depends},
Description: Global power saver settings.
 Power Devil allows you to define your all power settings.

Package: powerdevil-data
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Global power saver settings data files.
 Power Devil allows you to define your all power settings.

Package: powerdevil-dev
Section: devel
Architecture: any
Depends: libpowerdevilcore2 (= ${binary:Version}),
         libpowerdevilui5 (= ${binary:Version}),
         powerdevil (= ${binary:Version}),
         ${misc:Depends},
Multi-Arch: same
Description: Global power saver settings.
 Power Devil allows you to define your all power settings.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/2/library-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

override_dh_installdeb:
	sed 's/#DEB_HOST_MULTIARCH#/$(DEB_HOST_MULTIARCH)/' \
	    debian/powerdevil.postinst.in > debian/powerdevil.postinst
	dh_installdeb
